var JaxWeiche = (function(){
    var __SSID = '';
    var __BD_PROTOCOL = (navigator.userAgent.indexOf('weiche__') < 0)?'bd-martin':'bd-webview'; //兼容weiche3.5版本
    var __invokeShareFeedback = function(shareID,status,channel){};
    var __Platform = (function(){
        if(navigator.userAgent.search(/micromessenger/i)>=0){
            return 'WeChat';
        }else if(navigator.userAgent.search(/(alipayclient|alipaydefined)/i)>=0){
            return 'Alipay';
        }else if(navigator.userAgent.search(/(iphone|ipad|ipod)/i)>=0){
            return 'iOS';
        }else if(navigator.userAgent.search(/android/i)>=0){
            return 'Android';
        }else if(navigator.userAgent.search(/windows phone/i)>=0){
            return 'WinPhone';
        }else{
            return 'PC';
        }
        /*else if(navigator.userAgent.search(/windows nt/i)>=0){
            return 'Windows';
        }else if(navigator.userAgent.search(/macintosh/i)>=0){
            return 'Mac';
        }*/
    })();
    var __isWeiche = (function(){
        return (navigator.userAgent.search(/weiche/i)>=0)?true:false;
    })();
    var __isWechat= (function(){
        return (__Platform == 'WeChat')?true:false;
    })();
    var __isAlipay= (function(){
        return (__Platform == 'Alipay')?true:false;
    })();
    var __AppName = (function(){
        var appname = navigator.userAgent.match(/\sweiche([_a-zA-Z0-9\/\.]+)/i);
        if(appname != null){
            return appname[(appname.length-1)].replace('__','app_');
        }
        return '';
    })();

    function __invokeAPP(callbackFuncName,args){
        args = args || '';
        location.href = __BD_PROTOCOL+'://get_ssid?callback='+callbackFuncName+'&args='+args;
    }

    function __invokeJS(funcName,ssid,args){
      __SSID = ssid;
      window[funcName](args);
    }

    function __getSSID(){
        return __SSID;
    }

    function __invokeAppShare(shareArgs){
        var channel = shareArgs.channel || 'timeline';
        var link = encodeURIComponent((shareArgs.link || location.href));
        var title = shareArgs.title || '';
        var summary = shareArgs.summary || '';
        var imgUrl = encodeURIComponent((shareArgs.imgUrl || ''));
        var shareID = shareArgs.shareID || '';
        if(typeof(shareArgs.callback) == 'function'){
            shareArgs.callback();
        }
        location.href = __BD_PROTOCOL+'://invoke_share?channel='+channel+'&link='+link+'&title='+title+'&summary='+summary+'&imgurl='+imgUrl+'&shareid='+shareID;
    }

    function __closeWebview(){
        location.href= __BD_PROTOCOL+'://close_webview';
    }


    function __trackEvent(action, opt_label, opt_value, category){
        category = category || __Platform + '--' + __AppName;
        opt_label = opt_label || '';
        opt_value = opt_value || '';
        // baidu
        _hmt.push(['_trackEvent', category, action, opt_label, opt_value]);
    }

    function __trackPageview(pageURL){
        pageURL = "/"+pageURL;
        _hmt.push(['_trackPageview', pageURL]);
    }

    function __invokeNativePage(pagetag,backway){
        pagetag = pagetag || 'login';
        backway = backway || '';
        location.href='bd-webview://popup?to='+pagetag+'&back='+encodeURIComponent(backway);
    }

    function __invokeGlobalShare(shareArgs){
        var link = encodeURIComponent((shareArgs.link || location.href));
        var title = shareArgs.title || '';
        var summary = shareArgs.summary || '';
        var imgUrl = encodeURIComponent((shareArgs.imgUrl || ''));
        var shareID = shareArgs.shareID || '';
        if(typeof(shareArgs.callback) == 'function'){
            shareArgs.callback();
        }
        location.href = __BD_PROTOCOL+'://invoke_global_share?link='+link+'&title='+title+'&summary='+summary+'&imgurl='+imgUrl+'&shareid='+shareID;
    }

    /**** add from Object Jax in common.js ****/
    function _Jax_loading(str){
        str = str || '';
        if($('figure.loading_new').length == 0){
            $('body').append('<figure class="loading_new"><img src="//buding-img.b0.upaiyun.com/static/css/loading.svg" /><p></p></figure>');
        }
        var $loading = $('figure.loading_new');
        $loading.find('p').text(str);
        var zindex = parseInt($loading.css('z-index'));
        __showBlackMask();
        $('#mask').attr('data-zindex',$('#mask').css('z-index'));
        $('#mask').css('z-index',(zindex-1));
        $loading.css('display','block');
    }
    function _Jax_loaded(){
        $('#mask').css('z-index',$(this).attr('data-zindex'));
        if($('#toast').length == 0){
            __hideBlackMask();
        }
        $('figure.loading_new').css('display','none');
    }
    function _Jax_slide(obj_dom,css,start_pos,end_pos,ms,callback){
        if(ms <=0 ){
            ms=300;
        }
        eval("obj_dom.style."+css+"=start_pos+'px'");  
        obj_dom.style.display="block";
        var ht =  (new Date).getTime();
        var changeStyle = function (){
            var ht2 = (new Date).getTime();
            var dt = (ht2-ht)/ms; //300ms
            var intervalue = (1.3426*dt*dt-3.5139*dt+3.1729)*dt; //+0.06*Math.sin(dt*30)); //dt [0,1] , intervalue [0,1]
            var step=start_pos *(1-intervalue)+end_pos*intervalue;
            if(ht2-ht>ms){
                step=end_pos;
                if(typeof callback == "function"){
                    callback();
                    return false;
                }
            }else{
                setTimeout(changeStyle,1);
            }
            eval("obj_dom.style."+css+"=step+'px'");  
        } 
        changeStyle();
    }

    function __cookie(args){
        var ckie = {
            name    : '',
            value   : '',
            expires : 100,
            domain  : document.domain,
            path    : '/'
        };
        var exp = new Date();
        if(typeof(args) == 'object'){
            ckie.name = args.name;
            ckie.value = args.value;
            ckie.expires = args.expires || ckie.expires;
            ckie.domain = args.domain || ckie.domain;
            ckie.path = args.path || ckie.path;
            exp.setTime(exp.getTime() + ckie.expires*24*60*60*1000);
            document.cookie = ckie.name+"="+ckie.value+";expires="+exp.toGMTString()+";domain="+ckie.domain+";path="+ckie.path;
        }else{
            var arr = document.cookie.match(new RegExp("(^| )"+args+"=([^;]*)(;|$)"));
            if(arr != null) return arr[2]; return null;
        }
    }

    function _Jax_setCookie(name,value){
        var Days = 100;
        var exp = new Date();
        exp.setTime(exp.getTime() + Days*24*60*60*1000);
        document.cookie = name + "="+escape(value)+";expires=" + exp.toGMTString();
    }
    function _Jax_getCookie(name){
        var arr = document.cookie.match(new RegExp("(^| )"+name+"=([^;]*)(;|$)"));
        if(arr != null) return unescape(arr[2]); return null;

    }
    function _Jax_save(name,value){
        if(window.localStorage){
            try{
                localStorage.setItem(name,value);
            }catch(e){
                JaxWeiche.setCookie(name,value);
            }

        }else{
            JaxWeiche.setCookie(name,value);
        }
    }
    function _Jax_read(name){
        if(window.localStorage){
            try{
                return localStorage.getItem(name);
            }catch(e){
                return JaxWeiche.getCookie(name);
            }

        }else{
            return JaxWeiche.getCookie(name);
        }
    }
    function _Jax_delCookie(name){
        var exp = new Date();
        exp.setTime(exp.getTime() - 1);
        var cval=JaxWeiche.getCookie(name);
        if(cval!=null) document.cookie= name + "="+cval+";expires="+exp.toGMTString();
    }
    function _Jax_bindMsg(obj_id){
        var _obj = document.getElementById(obj_id);
        _obj.style.visibility = 'hidden';
        _obj.style.display = 'block';
        var obj_way = 0-(parseInt($('#'+obj_id).height() + 50));
        _obj.style.top = obj_way+"px";
        _obj.style.left = (window.innerWidth*2/100)/2 + "px";
        setTimeout(function(){
            $('#overlay').show();
            _obj.style.visibility='visible';
            JaxWeiche.slide(_obj,"top",obj_way,70,300,function(){
                JaxWeiche.slide(_obj,"top",70,5,50,null);
            });
        },400);
    }
    function _Jax_follow(str,callback){
        if($('#wrap').has('#follow-us')){
            if(!str){
                str = '您还没有关注 <b style="color:#07c454">微车</b>公众号  <br>只有关注 <b style="color:#07c454">微车</b> 后才能收到推送提醒 <br>  还能使用更多实用的功能哦~';
            }
            tpl = '<div id="follow-us" style="max-width:640px;min-width:320px;background: #fff;opacity: 0.94;padding-top:15px;padding-bottom:15px;width:100%;position: fixed;top:-140px;z-index: 99999;border-bottom:1px solid #ddd;box-shadow:0px 0px 4px #ddd;display: none;"><img style="width:60px;border-radius: 5px;float:left;margin-top: 2px;margin-left:20px;" src="//buding-img.b0.upaiyun.com/weiche/2014/08/13/dd3ee44ece37f8eb0c0df587251d2dba.png"/><p style="font-size:14px;line-height: 1.5;padding-left: 95px;">'+str+'</p><p style="font-size:14px;line-height: 1.5;padding-left: 95px;text-align:center;padding:0px;margin:0;font-size:12px;margin-top:10px;"><button style="background:#00cb7c;font-size: 14px;padding-bottom: 9px;padding-top: 9px;border-radius: 1px 1px 8px 1px;width: 35%;">马上关注微车</button></p></div>';
            $('#wrap').after(tpl);
        }
        $.ajax({
            url: $HOST+'/front/do-user.php',
            success: function(json){
                JaxWeiche.loaded();
                json = $.trim(json);
                try{
                    var obj = $.parseJSON(json);
                    if(obj.status == 0 && $('#follow-us').is(':hidden')){
                        $('#follow-us').show();
                        $('#follow-us').css({top:'-140px'});
                        setTimeout(function(){
                            $('#follow-us').animate({top:'0px'},400,'ease-out',function(){
                                $('body').prepend('<div id="body_top_padding" style="width:100%;height:1px"></div>');
                                $('#body_top_padding').animate({height:$('#follow-us').height()},400,'ease-in');
                            });
                        },500);
                        $('#follow-us').on(TAP,function(){
                            window.location.href=obj.url;
                        });
                    }else if(obj.status == 1 ){
                        $('#body_top_padding').remove();
                        $('#follow-us').animate({top:'-140px'},400,'ease-out',function(){
                            $(this).hide();
                            if(typeof(followloop) != 'undefined'){
                                clearInterval(followloop);
                            }
                        });
                        if(typeof(callback) == 'function'){
                            callback();
                        }
                    }
                }catch(ex){}
            }
        });
    }
    function __followWeiche(words,btn,link){
        words = words || '您还没有关注<b style="color:#07c454">微车</b>公众号, 关注后新违章还会主动提醒';
        btn = btn || '立即关注';
        link = link || 'http://u.wcar.net.cn/lx';
        __showBlackMask();
        __tips(words,btn,link);
    }
    function __showBlackMask(){
        var mask = $('#mask');
        if(mask.length == 0){
            $('body').append('<div id="mask"></div>');
            mask = $('#mask');
            mask.on('touchmove',function(e){e.preventDefault();});
        }
        var style= 'opacity: 0.7 !important;display:none;height: 100%;width: 100%;position: fixed;top: 0;left: 0;background-color: #000;z-index:99';
        mask.attr('style',style);
        $('#mask').show();
    }
    function __hideBlackMask(mtime){
        mtime = mtime || 0;
        if(mtime == 0){
            $('#mask').hide();
        }else{
            $('#mask').fadeOut(mtime);
        }

    }
    function __tips(words,btn,link){
        $('body').append('<div id="tipsbox" style="display:none;position: fixed;z-index: 9999;width:65%;max-width:280px;height:220px;border-radius:2px 2px 30px 2px;background:url(//buding-img.b0.upaiyun.com/weiche/2015/05/19/906d8c58f4289b9260a9d130a9d21033.jpg) no-repeat 50% 15% #fff;background-size:35%;top: 50%; left: 50%;-webkit-transform: translate(-50%, -50%); -moz-transform: translate(-50%, -50%);transform: translate(-50%, -50%);"><p style="margin-top:35%;padding-left:20px;padding-right:20px;font-size:14px;text-align:center;color:#777;line-height:1.2">'+words+'</p><button onclick="javascript:location.href=\''+link+'\'" style="text-align:center;color:#fff;background:#00cb7c;display:block;width:60%;margin:0 auto;padding-top:10px;padding-bottom:10px;font-size:14px;border-radius:2px 2px 15px 2px;line-height:1;margin-top:20px;">'+btn+'</button></div>');
        $('#tipsbox').fadeIn(700);
    }
    function __toast(args){
        var TAP = ('ontouchend' in document.createElement('button')) ? 'tap' : 'click';
        args = args || {};
        if(args === 'reheight' && $('#toast').length > 0){
            $('#toast').height($('#toast_content').height()+60);
            return;
        }
        args.title = (typeof args.title == 'undefined') ? '微车提示' :  args.title;
        args.desc = (typeof args.desc == 'undefined') ? '' :  args.desc;
        args.id = (typeof args.id == 'undefined') ? false :  args.id;
        args.btntext = (typeof args.btntext == 'undefined') ? '确 认' :  args.btntext;
        args.isCloseCallback = (typeof args.isCloseCallback == 'undefined') ? true : args.isCloseCallback;
        args.showCloseIcon = (typeof args.closeIcon == 'undefined') ? true : args.closeIcon;
        args.fn = (typeof args.fn == 'function') ? args.fn : function(){};

        var closeToast = function(callbackfn){
            setTimeout(function(){
                __hideBlackMask(200);
                $('#toast').fadeOut(200,function(){
                    $(this).remove();
                    if(args.isCloseCallback){
                        (typeof callbackfn == 'function') && callbackfn();
                    }
                });
            },200);
        };

        if(typeof args.close != 'undefined' && args.close){
            closeToast(args.fn);
            return ;
        }else{
            if($('#toast').length == 0 ){
                __showBlackMask();
                var content = '';
                var closeIconHtm = '';
                if(args.showCloseIcon){
                    closeIconHtm ='<b class="closeToastIcon" style="padding:15px;position:absolute;right:0px;top:0px;font-size:20px;color:#666">×</b>';
                }
                if(args.id){
                    content = $(args.id).html();
                }else{
                    content = '<p style="margin-top:30px;padding-left:20px;padding-right:20px;font-size:18px;text-align:center;color:#1f1f1f">'+args.title+'</p><p style="text-align:center;margin-top:20px;font-size:16px;line-height:1.5;color:#888">'+args.desc+'</p><button class="closeToast" style="text-align:center;color:#fff;background:#00cb7c;display:block;width:60% !important;margin:0 auto;padding-top:10px;padding-bottom:10px;font-size:16px;line-height:1;margin-top:30px;">'+args.btntext+'</button>';
                }
                $('body').append('<div id="toast" style="opacity:0;position: fixed;z-index: 9999; width:80%;padding-left:20px;padding-right:20px;max-width:360px;border-radius:2px 2px 2px 2px;background:#fff;top: 50%; left: 50%;-webkit-transform: translate(-50%, -50%); -moz-transform: translate(-50%, -50%);transform: translate(-50%, -50%);">'+closeIconHtm+'<div id="toast_content">'+content+'</div></div>');
                $('#toast').height($('#toast_content').height()+60);
                $('#toast').on('touchmove',function(e){e.preventDefault();});

                $('#toast .closeToast').on(TAP,function(){
                    if(args.isCloseCallback){
                        closeToast(args.fn);
                    }else{
                        args.fn();
                    }
                });
                $('#toast .closeToastIcon').on(TAP,closeToast);
                $('#toast').fadeIn(700);
            }else{
                alert(args.desc);
            }
        }
    }

    function __gett(key,defaultval){
        defaultval = defaultval || '';
        if(!window.$_GET){
            window.$_GET = [];
            var str=location.search;
            var num=str.indexOf("?");
            str=str.substr(num+1);
            var arrtmp=str.split("&");
            for(var i=0;i < arrtmp.length;i++){
                num=arrtmp[i].indexOf("=");
                if(num>0){
                    window.$_GET[arrtmp[i].substring(0,num)] = arrtmp[i].substr(num+1);
                }
            }
        }
        if(!key){
            return window.$_GET;
        }else if(typeof window.$_GET[key] != 'undefined' && window.$_GET[key] !== ''){
            return window.$_GET[key];
        }else{
            return defaultval;
        }
    }
    function __jumpWithBackUrl(url){
        var backurl = this.gett('weiche_backurl');
        backurl = backurl ? decodeURIComponent(backurl) : '' ;
        if(!backurl){
           backurl = location.href;
        }
        var url_hash = '';
        var url_search = '';
        if(url.indexOf('#') > 0 ){
            url_hash = url.substring(url.indexOf('#'));
            url = url.substring(0, url.indexOf('#'));
        }
        if(url.indexOf('?') > 0 ){
            url_search = url.substring(url.indexOf('?')) + '&';
            url = url.substring(0, url.indexOf('?'));
        }else{
            url_search = '?';
        }
        url_search += 'weiche_backurl=' + encodeURIComponent(backurl);
        url += url_search + url_hash;
        location.href = url;
    }

    function __jumpToBackUrl(func){
       var backurl = this.gett('weiche_backurl');
       backurl = backurl ? decodeURIComponent(backurl) : '';
       if(backurl){
            location.replace(backurl);
       }else if(typeof func == 'function'){
            func();
       }
    }

    function __random(under, over){
        switch(arguments.length){
            case 1: return parseInt(Math.random()*under+1);
            case 2: return parseInt(Math.random()*(over-under+1) + under);
            default: return 0;
        }
    }

    function __availablyEvent($diff){
        $diff = $diff || 800;
        var timestmp = (new Date()).getTime();
        var timelast = _Jax_read('_lasteventtime_') || 0;
        if( (timestmp - timelast) > $diff ){
            _Jax_save('_lasteventtime_',timestmp);
            return true;
        }
        return false;
    }
    return {
        author                  :"JaxWang",
        getSSID                 :__getSSID,
        setSSID                 :__invokeJS,
        reSendWithNewSSID       :__invokeAPP,
        invokeShareFeedback     :__invokeShareFeedback,
        invokeAppShare          :__invokeAppShare,
        closeWebview            :__closeWebview,
        popupPage               :__invokeNativePage,
        invokeGlobalShare       :__invokeGlobalShare,
        trackEvent              :__trackEvent,
        trackPV                 :__trackPageview,
        platform                :__Platform,
        appName                 :__AppName,
        weiche                  :__isWeiche,
        wechat                  :__isWechat,
        alipay                  :__isAlipay,
        /** Jax from common.js***/
        loading                 :_Jax_loading,
        loaded                  :_Jax_loaded,
        slide                   :_Jax_slide,
        setCookie               :_Jax_setCookie,
        getCookie               :_Jax_getCookie,
        save                    :_Jax_save,
        read                    :_Jax_read,
        delCookie               :_Jax_delCookie,
        cookie                  :__cookie,
        bindMsg                 :_Jax_bindMsg,
        follow                  :_Jax_follow,
        followWeiche            :__followWeiche,
        gett                    :__gett,
        jumpWithBackUrl         :__jumpWithBackUrl,
        jumpToBackUrl           :__jumpToBackUrl,
        tips                    :__tips,
        toast                   :__toast,
        random                  :__random,
        showBlackMask           :__showBlackMask,
        availablyEvent          :__availablyEvent
    };
})();
(function(){
    if(typeof window === "object" && typeof window.document === "object") {
        window.JaxWeiche = JaxWeiche;
        window.Jax = JaxWeiche; //兼容 common.js
    }
    // 对Date的扩展，将 Date 转化为指定格式的String
    // 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，
    // 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
    // 例子：
    // (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
    // (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18
    Date.prototype.Format=function(fmt){var o={"M+":this.getMonth()+1,"d+":this.getDate(),"h+":this.getHours(),"m+":this.getMinutes(),"s+":this.getSeconds(),"q+":Math.floor((this.getMonth()+3)/3),"S":this.getMilliseconds()};if(/(y+)/.test(fmt))fmt=fmt.replace(RegExp.$1,(this.getFullYear()+"").substr(4-RegExp.$1.length));for(var k in o)if(new RegExp("("+k+")").test(fmt))fmt=fmt.replace(RegExp.$1,(RegExp.$1.length==1)?(o[k]):(("00"+o[k]).substr((""+o[k]).length)));return fmt};String.prototype.padLeft=function(nSize,ch){var len=0;var s=this?this:"";ch=ch?ch:'0';len=s.length;while(len<nSize){s=ch+s;len++}return s};String.prototype.padRight=function(nSize,ch){var len=0;var s=this?this:"";ch=ch?ch:'0';len=s.length;while(len<nSize){s=s+ch;len++}return s};String.prototype.movePointLeft=function(scale){var s,s1,s2,ch,ps,sign;ch='.';sign='';s=this?this:"";if(scale<=0)return s;ps=s.split('.');s1=ps[0]?ps[0]:"";s2=ps[1]?ps[1]:"";if(s1.slice(0,1)=='-'){s1=s1.slice(1);sign='-'}if(s1.length<=scale){ch="0.";s1=s1.padLeft(scale)}return sign+s1.slice(0,-scale)+ch+s1.slice(-scale)+s2};String.prototype.movePointRight=function(scale){var s,s1,s2,ch,ps;ch='.';s=this?this:"";if(scale<=0)return s;ps=s.split('.');s1=ps[0]?ps[0]:"";s2=ps[1]?ps[1]:"";if(s2.length<=scale){ch='';s2=s2.padRight(scale)}return s1+s2.slice(0,scale)+ch+s2.slice(scale,s2.length)};String.prototype.movePoint=function(scale){if(scale>=0)return this.movePointRight(scale);else return this.movePointLeft(-scale)};Number.prototype.toFixed=function(scale){var s,s1,s2,start;s1=this+"";start=s1.indexOf(".");s=s1.movePoint(scale);if(start>=0){s2=Number(s1.substr(start+scale+1,1));if(s2>=5&&this>=0||s2<5&&this<0){s=Math.ceil(s)}else{s=Math.floor(s)}}return s.toString().movePoint(-scale)};
    $('head').append('<style type="text/css">figure.loading_new{display:none;width:100px;height:50px;text-align:center;border-radius:50%;position:fixed;top: 50%;left: 50%;-webkit-transform: translate(-50%, -100%);-moz-transform: translate(-50%, -100%);transform: translate(-50%, -100%);z-index:99999}figure.loading_new>p{position:absolute;bottom:-15px;font-size:14px;text-align:center;width:100%;color:#bbb;text-shadow:1px 1px 1px #222}</style>');
    Zepto.fn.cooldown=function(args){
        args = args || {};
        var discolor = (typeof args.discolor == 'undefined') ? '#999' : args.discolor;
        var count = (typeof args.time == 'undefined') ? 60 :  args.time;
        var unit = (typeof args.unit == 'undefined') ? '秒' :  args.unit;
        if(typeof args == 'function'){
            var fn = args;
        }else{
            var fn = (typeof args.fn == 'undefined') ? function(){} :  args.fn;
        }
        var $sms = $(this);
        var disabled = $sms.attr('disabled');
        if(disabled != 'true'){
            var btntext = $sms.text();
            var bgcolor = $sms.css('background');
            $sms.css('backgroundColor',discolor);
            $sms.attr('disabled',true);
            $sms.text(count+unit);
            var smsres = setInterval(function(){
                count-- ;
                $sms.text(count+unit);
                if(count == 0){
                    $sms.css('background',bgcolor);
                    $sms.text(btntext);
                    $sms.removeAttr('disabled');
                    clearInterval(smsres);
                }
            },1000);
            fn && fn();
        }
    };
})();
function __invokeJS(funcName,ssid,args){  //for app
    JaxWeiche.setSSID(funcName,ssid,args);
}
/*
        status:
         0 用户取消
         1 分享成功
         2 分享失败
         3 授权失败
         4 客户端没有安装对应APP
*/
function __invokeShareFeedback(shareID, status,channel){ //for app
    channel = channel || '';
    JaxWeiche.invokeShareFeedback(shareID,status,channel);
}
/** statistics **/
var $PROTOCOL = (("https:" == document.location.protocol) ? "https://" : "http://");
var $HOST = $PROTOCOL + location.hostname;

if(location.pathname != '/wv/article'){
    (function() {
        /*baidutongji*/
        window._hmt = window._hmt || [];
        _hmt.push(['_setAccount', 'd2abe42fa456dc1fead1fb628c78e264']);
        _hmt.push(['_setAutoPageview', false]);
        var _hm = document.createElement("script");
        _hm.src = $PROTOCOL + "hm.baidu.com/hm.js?d2abe42fa456dc1fead1fb628c78e264";
        var _s = document.getElementsByTagName("script")[0];
        _s.parentNode.insertBefore(_hm, _s);
        /*start*/
        var uri_channel = JaxWeiche.gett('channel') || JaxWeiche.gett('channel_weiche') || JaxWeiche.gett('weiche_channel') || JaxWeiche.gett('from');
        var _uri = '';
        if(uri_channel){
            _uri = '?' + 'channel='+uri_channel;
        }
        if(location.host.indexOf('wcar.net.cn')>=0 || location.host.indexOf('weiche.me')>=0){
            _hmt.push(['_trackPageview', location.pathname + _uri]);
        }else{
            _hmt.push(['_trackPageview', "/"]);
        }
    })();
}

var Captcha = {
    getCaptchaCode : function(){
        var num =  (new Date()).getTime().toString() + Math.random().toString().substring(2) + Math.random().toString().substring(2);
        return num.substring(0,32);
    },
    setCaptcha : function(captcha){
        var captcha_id = this.getCaptchaCode();
        captcha.attr('src', 'https://api.wcar.net.cn/captcha?r='+ captcha_id);
        captcha.data('captcha_id', 'sms_'+captcha_id);
    }
};

var SMSverify = {
    smsTimeCounter : '',
    smsSeconds : 60,
    imgSltorStr : '.sms_captcha>.captcha_img',
    inputSltorStr: '.sms_captcha>input[name="captcha_code"]',
    phone : '',
    captchaCode : '',
    captchaID : '',
    cdSltor : '',
    scene : '',
    url : './front/do-sms.php',

    init : function(phone,cdsltor,scene){
        if(isNaN(phone) ||phone.length != 11){
            alert("请输入正确的手机号码");
            return false;
        }else{
            this.phone = phone;
            this.cdSltor = $(cdsltor);
            this.scene = scene;
            return true;
        }
    },
    countdown : function(){
        var cdslt = this.cdSltor;
        var second = this.smsSeconds;
        cdslt.addClass('disabled').text(second + '秒');
        this.smsTimeCounter = setInterval(function(){
            --second;
            cdslt.text(second + '秒');
            if(second < 0){
                clearInterval(SMSverify.smsTimeCounter);
                cdslt.removeClass('disabled').text('获取验证码');
            }
        }, 1000);
    },
    captcha : function(){
        JaxWeiche.toast({
                title:'请输入图片上的数字',
                desc:'<span class="sms_captcha" style="overflow:hidden;border:1px solid #d9d9d9;text-align:center;display:inline-block;"><input type="text" style="padding-left:5px;width:100px;height:30px" maxlength="4" name="captcha_code" placeholder="输入右边数字"/><img alt="图片载入中" class="captcha_img" onclick="Captcha.setCaptcha($(this));" style="width:80px;height:34px"/></span>',
                btntext: '立即发送',
                isCloseCallback : false,
                fn:function(){
                    SMSverify.captchaCode = $.trim($(SMSverify.inputSltorStr).val());
                    SMSverify.captchaID = $(SMSverify.imgSltorStr).data('captcha_id');
                    if( isNaN(SMSverify.captchaCode) || SMSverify.captchaCode.length != 4 ){
                        alert("图形验证码不正确,请重新输入.");
                    }else{
                        SMSverify.sendSMS();
                    }
                }
            });
        Captcha.setCaptcha($(SMSverify.imgSltorStr));
    },
    sendSMS : function(){
        var reset = function(){
            $(SMSverify.inputSltorStr).val('');
            SMSverify.captchaCode = '';
            SMSverify.captchaID = '';
            Captcha.setCaptcha($(SMSverify.imgSltorStr));
        };
        JaxWeiche.loading();
        $.ajax({
            url: this.url,
            type: 'post',
            data: {type:this.scene , phone: this.phone, captcha_id: this.captchaID, captcha_code : this.captchaCode },

            success: function(resp){
                JaxWeiche.loaded();
                try{
                    var data = $.parseJSON(resp);
                    if(data.status == "ok"){
                        reset();
                        JaxWeiche.toast({close:true});
                        SMSverify.countdown();
                    }else if(data.status == "illegal_captcha"){
                        alert("您填写的图形验证码不正确.");
                        reset();
                    }else if(data.status == "need_captcha"){
                        if($('.sms_captcha').get().length == 0){
                            SMSverify.captcha();
                        }
                    }else if(data.status == "out_of_limit"){
                        alert("您目前已经超过最大发送短信条数,请两小时后再试.");
                        JaxWeiche.toast({close:true});
                    }else if(data.status == "non-expired"){
                        alert("您操作过快, 请歇一会儿再试~");
                        JaxWeiche.toast({close:true});
                    }else{
                        alert("短信发送失败, 请再试一次~");
                        reset();
                    }
                }catch(e){
                    alert("短信发送失败, 请再试一次.");
                    reset();
                }

            },
            error: function(xhr, errorType, error){
                JaxWeiche.loaded();
                reset();
                if(errorType != 'abort'){
                   alert("网络异常, 请再试一次");
                }
            }
        });
    },
};
